5.00m33-6 or 6.60 Pro C

Discussion in 'PSP - Hacking & Homebrew' started by mkdms14, Sep 30, 2012.

  1. mkdms14
    OP

    mkdms14 GBAtemp Fan

    Member
    2
    Jan 30, 2012
    United States
    Hi I have a psp 1000 I hacked it about two years ago and installed 5.00m33-6 CFW on it. I was wondering if there had been any amazing groundbreaking or improvements in home-brew for psp. Should I stay on 5.00m33-6 or should I upgrade? Advantages or disadvantages?
     
  2. pokefloote

    pokefloote GBAtemp Addict

    Member
    7
    Mar 20, 2009
    United States
    Well with Pro C you won't have to worry about patching your games to play them. Native PSN too (I can't remember if 5.00m33-6 required plugins like psnlover or whatever).

    It's worth the upgrade. Everything just works, no BS.
     
  3. Rydian

    Rydian Resident Furvert™

    Member
    17
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    Support for new plugins/homebrews/games, PSN/SEN access, DLC unlocking stuff, early-version PRO-online testing (ad-hoc over the 'net via the PSP itself), integration of various common features you previously needed plugins for (boot logo blocking), blah blah blah.
     
  4. jagerstaffel

    jagerstaffel GBAtemp Advanced Fan

    Member
    3
    Aug 20, 2008
    United States
    Hmm, there are a few things that's been stopping me from updating to 6.60 Pro C, and what I mainly do are the usual stuff during the m33 days: PSP games, PS1 games, emulators like GBA, and plugins. Are those 4 categories just as good on Pro C as they are (were) on M33 5.00? One thing in particular that I've been interested in, is a plugin in-game that shows my battery percentage in the Home menu. I saw one supporting only the newer firmwares, but does it do what I mentioned (it's never been clarified -__-) Thanks for the answers.
     
  5. mrgone

    mrgone GBAtemp Advanced Fan

    Member
    4
    Nov 6, 2002
    Germany
    i once tried one of the prometheus FWs IIRC, but then my selfmade psx-eboots stopped working, so i returned to m33.
     
  6. Another World

    Another World Emulate the Planet!

    Former Staff
    10
    Jan 3, 2008
    Colombia
    From Where???
    i have been using the PRO CFW for everything and i have no issues. every psn, mini, eboot, psp game, ps1 game, etc, i've tried worked the 1st time. i've made a bunch of my own psx conversations and those work without an issue. my only complaint is a lack of 1.5 homebrew/emulation support. but you'll only care about that if you come across 2 or 3 old homebrew/emulation projects that never got an update.

    -another world
     
  7. indask8

    indask8 New Member Forever

    Member
    3
    Apr 19, 2007
    France
    Look at the Flag...
    5.00 m33 is getting very old, for a 1000 at least use the latest GEN firmware with the Prometheus updates.

    But the latest Pro should work perfectly fine.
     
  8. mrgone

    mrgone GBAtemp Advanced Fan

    Member
    4
    Nov 6, 2002
    Germany
    yeah, already had two games fail on me:
    - the new rouroni kenshin game
    - taiko no tatsujin 2
     
  9. xist

    xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Member
    6
    Jul 14, 2008
    Taiko no Tatsujin 2 is from 2006, way before 5.00....that's less likely a firmware problem than a game issue.
     
  10. Foxi4

    Foxi4 On the hunt...

    Global Moderator
    26
    Sep 13, 2009
    Poland
    Gaming Grotto
    He has a PSP-1000, let's not give him hope... :P

    That said, there's absolutely no reason to stay on 5.00 - 6.60 is improved in just about all the areas from compatibility to stability and he should update to PRO C. ;)
     
  11. xist

    xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Member
    6
    Jul 14, 2008
    Laziness? Works for me...i've had no real reason to update my 1000. My Go, sure, but not old faithful.

    Ultimately, read about the new features and if nothing grabs you, then don't bother. Nothing beats being fully informed.
     
    1 person likes this.
  12. Rydian

    Rydian Resident Furvert™

    Member
    17
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    Whoops, forgot PRO-online needs the extra RAM.
     
  13. mkdms14
    OP

    mkdms14 GBAtemp Fan

    Member
    2
    Jan 30, 2012
    United States
    Cool thanks guys. Just one more question I heard that my old menu themes won't work on 6.60 Pro C is there a way to convert 5.00m33-6 themes to work on 6.60 Pro C?
     
  14. pokefloote

    pokefloote GBAtemp Addict

    Member
    7
    Mar 20, 2009
    United States
    Most of the popular themes have already been converted by someone, somewhere. I just search on Google for "theme name" 6.20 [or whichever version you have running there) and threads pop up.

    There are ways to convert them, but you'd have to add icons for things that weren't on 5.00 themes, if any. Like comics in the extras section.
     
  15. mrgone

    mrgone GBAtemp Advanced Fan

    Member
    4
    Nov 6, 2002
    Germany
    there's a plugin that does that on 5.00
     
  16. andy26129

    andy26129 GBAtemp Fan

    Member
    2
    Sep 23, 2011
    United States
    I currently have a Psp 3000 6.20 PRO-C and cannot run the game Need for Speed 5-1-0, if I update to 6.60 will it work and how do I update. Thanks
     
  17. Rydian

    Rydian Resident Furvert™

    Member
    17
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    That shouldn't have anything to do with it. What happens when you try to run the game?
     
  18. Harsky

    Harsky Madmin

    Member
    6
    Aug 2, 2004
    Sorry if this goes offtopic but is there any save issues when upgrading from a 5.50 GEN firmware to a 6.60 pro C? Like, will the saves created from PSP games that ran under a GEN firmware work with a different CFW?
     
  19. nl255

    nl255 GBAtemp Addict

    Member
    6
    Apr 9, 2004
    Possibly, but there are ways to fix it now semi-automatically without having to downgrade and use savegame deemer. In fact, I believe they added code into one of the later Pro-B firmwares to try to automatically fix such saved games (though it doesn't always work).
     
  20. andy26129

    andy26129 GBAtemp Fan

    Member
    2
    Sep 23, 2011
    United States
    I get an error code when I launch the game.
     
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice